Skip to main content
GET
/
v1
/
rules
List process rules
curl --request GET \
  --url https://api.seynlabs.com/v1/rules \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "description": "<string>",
      "processId": "<string>",
      "appliesAtStep": "<string>",
      "confidence": 0.5,
      "frequency": 0.5,
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "requestId": "<string>",
    "pagination": {
      "total": 1,
      "limit": 1,
      "offset": 1
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer token from app.seynlabs.com → Settings → API Keys. Send as Authorization: Bearer sk_live_....

Query Parameters

reviewStatus
enum<string>

Filter by human-review status. See Review Status.

Available options:
inferred,
confirmed,
rejected,
modified
libraryId
string<uuid>

Limit results to rules belonging to a specific knowledge library.

Substring match against rule description (case-insensitive).

limit
integer
default:20
Required range: 1 <= x <= 100
offset
integer
default:0
Required range: x >= 0

Response

List of rule summaries.

success
enum<boolean>
required
Available options:
true
data
object[]
required
meta
object
required